div.cvh--accordion-wrap:not(:last-child) {
	margin-bottom: var(--cvh-space-m);
}

/* Button */
button.cvh--accordion-trigger {
	--indicator-icon-size: clamp(25px, var(--text-l), 120px);
	display: flex !important;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	color: color(1);
	background-color: var(--primary-ultra-light);
	padding: var(--cvh-space-s);
	margin: 0;
}

button.cvh--accordion-trigger span.cvh--accordion-title,
button.cvh--accordion-trigger span.cvh--accordion-title > * {
	color: inherit;
}

/* Indicator */
button.cvh--accordion-trigger span.cvh--accordion-indicator {
	transform: rotateX(0);
    transition: var(--cvh-transition-normal);
}

button.cvh--accordion-trigger span.cvh--accordion-indicator > svg {
	width: var(--indicator-icon-size);
	height: auto;
	aspect-ratio: 1;
}

/* Title */
button.cvh--accordion-trigger span.cvh--accordion-title {
	width: calc(100% - var(--indicator-icon-size) - var(--cvh-space-m));
}

button.cvh--accordion-trigger span.cvh--accordion-title > :is(h1, h2, h3, h4, h5, h6, p) {
	text-align: left;
	font-size: var(--text-l);
}

/* Akkordeon Body */
div.cvh--accordion-body div.cvh--accordion-body-inner {
	padding-top: var(--cvh-space-m);
	padding-bottom: var(--cvh-space-s);
}

/* Content */

/* Image */
div.cvh--accordion-body img {
	object-fit: cover;
	object-position: 50% 50%;
}

/* Set Display */
.cvh--accordion-wrap[data-init-state='closed'] div.cvh--accordion-body {
    display: none;
}

/* Open State */
div.cvh--accordion-wrap[data-current-state="open"] span.cvh--accordion-indicator {
	transform: rotateX(180deg);
}


/* ══════════════════════════════════════════════════ *
 * MARK: ?. Color Scheme
 * ────────────────────────────────────────────────── */
/* #═#═#═#═#═# ?.1 Greenline #═#═#═#═#═# */
[data-color-scheme="greenline"] button.cvh--accordion-trigger {
	color: #fff !important;
}


/* ══════════════════════════════════════════════════ *
 * MARK: ?. Preview Mode
 * ────────────────────────────────────────────────── */
[data-type="meta-box/cvh-ela-accordion"] [data-preview-mode] {
	display: block;

	& > .ct-section-inner-wrap {
		display: block;
		width: 100%;
	}
}